## Bsoft program

# bhelcross

### Usage: bhelcross [options] input.img output.img

Calculates the 2D cross section for a helical filament.
The helix axis must coincide with the y axis.

### Actions:

-crosssection | Calculate a cross section based on helical parameters.
-extrude 254 | Extrude the cross section to the indicated length.
-symmetry C5 | Apply point group symmetry.
-rescale -0.1,5.2 | Rescale data to average and standard deviation.

### Parameters:

-verbose 1 | Verbosity of output.
-datatype u | Force writing of a new data type.
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; a single value can be given).
-origin 110,50,44 | Origin for helix (default 0,0,0 or from image).
-helix 25.3,67 | Helical rise and angle (default 10 angstrom, 45 degrees).

### Parameters for calculating the cross section:

-resolution 15.6 | High resolution limit for reconstruction (default 0).
-scale 1.5 | Reconstruction scale (default 1).
-snradius 36 | Radius to distinguish signal from noise (alternative to -kernel).
-kernel 9 | Local variance kernel size for generating a foreground mask (default 11).

### Parameters for alignment:

-alignresolution 20,360 | High and low resolution limits (angstrom).
-annuli 12,60 | Real space annular limits (default 0,inf pixels).
-shiftlimit 3.5 | Limit on origin shift relative to nominal center (default 10% of box edge size).
| Parameter for extrusion:
-fill 1.77 | Fill value for background: average (default), background, or value.

### Input:

-reference file.map | 2D reference image file name.

Bsoft version 2.0.3-20180917 (64 bit)